curl --request GET \
--url https://www.ruddr.io/api/workspace/pipeline-activities/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/pipeline-activities/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/pipeline-activities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/pipeline-activities/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/pipeline-activities/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/pipeline-activities/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/pipeline-activities/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "a3d7e1b2-5c94-4f68-b0a2-e8f1d3c76a49",
"subject": "Discovery call with client",
"content": "Discussed project requirements and timeline expectations.",
"direction": "outbound",
"date": "2025-09-15",
"duration": 30,
"createdAt": "2025-09-15T14:22:31.482Z",
"pipelineActivityType": {
"id": "9c3a7d1e-5b28-4f60-a4e2-d8f1b0c73a96",
"name": "Call"
},
"members": [
{
"id": "b4e8c2f1-7d35-4a90-81b3-f6a9d0e54c27",
"name": "Sarah Johnson"
}
],
"contacts": [
{
"id": "c5f9d3a2-8e46-4b01-92c4-a7b0e1f65d38",
"name": "John Smith"
}
],
"companies": [
{
"id": "d6a0e4b3-9f57-4c12-a3d5-b8c1f2a76e49",
"name": "Acme Corp"
}
],
"opportunities": [
{
"id": "e7b1f5c4-0a68-4d23-b4e6-c9d2a3b87f50",
"name": "Website Redesign"
}
]
}{
"status": 400,
"message": "Parameter 'id' is not a valid UUID."
}{
"status": 403,
"message": "Feature 'Pipeline' is not enabled."
}{
"status": 404,
"message": "Object with id 'e1a9c7d4-3b58-4f02-a6e5-f8d2b0c63a71' not found."
}Get a pipeline activity
curl --request GET \
--url https://www.ruddr.io/api/workspace/pipeline-activities/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/pipeline-activities/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/pipeline-activities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/pipeline-activities/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/pipeline-activities/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/pipeline-activities/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/pipeline-activities/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "a3d7e1b2-5c94-4f68-b0a2-e8f1d3c76a49",
"subject": "Discovery call with client",
"content": "Discussed project requirements and timeline expectations.",
"direction": "outbound",
"date": "2025-09-15",
"duration": 30,
"createdAt": "2025-09-15T14:22:31.482Z",
"pipelineActivityType": {
"id": "9c3a7d1e-5b28-4f60-a4e2-d8f1b0c73a96",
"name": "Call"
},
"members": [
{
"id": "b4e8c2f1-7d35-4a90-81b3-f6a9d0e54c27",
"name": "Sarah Johnson"
}
],
"contacts": [
{
"id": "c5f9d3a2-8e46-4b01-92c4-a7b0e1f65d38",
"name": "John Smith"
}
],
"companies": [
{
"id": "d6a0e4b3-9f57-4c12-a3d5-b8c1f2a76e49",
"name": "Acme Corp"
}
],
"opportunities": [
{
"id": "e7b1f5c4-0a68-4d23-b4e6-c9d2a3b87f50",
"name": "Website Redesign"
}
]
}{
"status": 400,
"message": "Parameter 'id' is not a valid UUID."
}{
"status": 403,
"message": "Feature 'Pipeline' is not enabled."
}{
"status": 404,
"message": "Object with id 'e1a9c7d4-3b58-4f02-a6e5-f8d2b0c63a71' not found."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The pipeline activity uuid.
Response
200
The unique identifier for the object.
The subject of the pipeline activity.
The content or body of the pipeline activity.
Whether the activity was initiated by your team (outbound) or by the other party (inbound).
inbound, outbound The date of the pipeline activity. Will be in the form YYYY-MM-DD.
The duration of the pipeline activity in minutes.
The timestamp when the object was created.
The pipeline activity type associated with this activity.
Show child attributes
Show child attributes
The members associated with this activity.
Show child attributes
Show child attributes
The contacts associated with this activity.
Show child attributes
Show child attributes
The companies associated with this activity.
Show child attributes
Show child attributes
The opportunities associated with this activity.
Show child attributes
Show child attributes